#10 Buguette in host-info in 0.4.4

closed-fixed
run-time (53)
5
2001-09-17
2001-03-12
No

rom: sperber@informatik.uni-tuebingen.de (Michael
Sperber [Mr. Preprocessor])
Sender: sperber@informatik.uni-tuebingen.de
To: scsh@martigny.ai.mit.edu
Subject: Buguette in host-info in 0.4.4
Date: 02 Dec 1996 09:44:16 +0100

host-info:addresses contains bogus if the argument to
host-info is a
socket-address.

Patch follows.

Cheers =8-} Mike

*** scsh/network.scm~ Thu Sep 26 22:08:06 1996
--- scsh/network.scm Mon Dec 2 09:35:55 1996
***************
*** 735,741 ****
(vector->list
(C-string-vec->Scheme
aliases #f))
(vector->list
! (C-string-vec->Scheme
addresses #f)))))))

(define-foreign %host-address->host-info/h-errno
(scheme_host_address2host_info (string-desc name))
--- 735,741 ----
(vector->list
(C-string-vec->Scheme
aliases #f))
(vector->list
! (C-long-vec->Scheme
addresses #f)))))))

(define-foreign %host-address->host-info/h-errno
(scheme_host_address2host_info (string-desc name))

Discussion

    • status: open --> closed-fixed
     
  • Logged In: YES
    user_id=17553

    This has been fixed in version 1.12 of
    scsh/scsh/network.scm.